> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Render a chart version's manifests with helm template



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/helm/charts/template
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/helm/charts/template:
    post:
      tags:
        - Helm API
      summary: Render a chart version's manifests with helm template
      operationId: template_helm_chart_endpoint_api_v1_org_helm_charts_template_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TemplateHelmChartRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplateHelmChartResult'
          description: Rendered chart manifests
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '413':
          description: Chart archive too large
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    TemplateHelmChartRequest:
      properties:
        repository_name:
          maxLength: 253
          title: Repository Name
          type: string
        chart_name:
          maxLength: 253
          title: Chart Name
          type: string
        chart_version:
          maxLength: 128
          title: Chart Version
          type: string
        values_base64:
          anyOf:
            - type: string
            - type: 'null'
          description: Base64-encoded YAML overriding the chart's default values.
          title: Values Base64
        release_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Release name for the render; defaults to the chart name.
          title: Release Name
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          description: Release namespace for the render; defaults to "default".
          title: Namespace
      required:
        - repository_name
        - chart_name
        - chart_version
      title: TemplateHelmChartRequest
      type: object
    TemplateHelmChartResult:
      properties:
        rendered:
          items:
            $ref: '#/components/schemas/RenderedChartManifest'
          title: Rendered
          type: array
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      required:
        - rendered
        - notes
      title: TemplateHelmChartResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    RenderedChartManifest:
      properties:
        path:
          title: Path
          type: string
        content_base64:
          title: Content Base64
          type: string
      required:
        - path
        - content_base64
      title: RenderedChartManifest
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````